Subject: Re: js/scalar-diagnose, was Re: What's cooking in git.git (May 2022, #04; Thu, 12)

From: Junio C Hamano <[email-masked]>
Date: Fri, 13 May 2022 08:34:59 -0700

Johannes Schindelin <[email-masked]> writes:

> My first reaction was: but wait, what about the file mode? Then I
> remembered that René offered the opinion that we could easily introduce
> `--add-executable-file-with-contents` _iff_ we need that at some stage,
> and when I considered symbolic links, I noticed that the `--add-file`
> option does not accept those in the first place, so it would be funny if
> `--add-file-with-contents` supported symbolic links.

Knowing how we present symbolic links in the patch output, I would
actually think it is quite natural to say

    --add-virtual-file=RelNotes:120000:Documentation/RelNotes/2.37.0.txt

and be able to create a symlink.  But if we are to go in the route
to later add "--add-executable-file-with-contents", it is plausibly
a workable solution to add "--add-virtual-symbolic-link", too.  And
when it happens, we may say "why didn't we use the word 'virtual' in
the existing option names?"

By the way, should it be "--add-file-with-contents", just like you
wrote above?  The version in 'seen' says "--add-file-with-content".

Thanks.